package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundPersonnelInfo;
import com.tanpu.fund.entity.generator.FundPersonnelInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface FundPersonnelInfoMapper {
    long countByExample(FundPersonnelInfoExample example);

    int deleteByExample(FundPersonnelInfoExample example);

    /**
     * delete by primary key
     *
     * @param personnelId primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(String personnelId);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(FundPersonnelInfo record);

    int insertOrUpdate(FundPersonnelInfo record);

    int insertOrUpdateSelective(FundPersonnelInfo record);

    int insertOrUpdateWithBLOBs(FundPersonnelInfo record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(FundPersonnelInfo record);

    List<FundPersonnelInfo> selectByExampleWithBLOBs(FundPersonnelInfoExample example);

    List<FundPersonnelInfo> selectByExample(FundPersonnelInfoExample example);

    /**
     * select by primary key
     *
     * @param personnelId primary key
     * @return object by primary key
     */
    FundPersonnelInfo selectByPrimaryKey(String personnelId);

    int updateByExampleSelective(@Param("record") FundPersonnelInfo record, @Param("example") FundPersonnelInfoExample example);

    int updateByExampleWithBLOBs(@Param("record") FundPersonnelInfo record, @Param("example") FundPersonnelInfoExample example);

    int updateByExample(@Param("record") FundPersonnelInfo record, @Param("example") FundPersonnelInfoExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(FundPersonnelInfo record);

    int updateByPrimaryKeyWithBLOBs(FundPersonnelInfo record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(FundPersonnelInfo record);

    int updateBatch(List<FundPersonnelInfo> list);

    int batchInsert(@Param("list") List<FundPersonnelInfo> list);
}